Name: filesystem
Version: 2.3.1
Release: alt1

Summary: The basic directory layout for a GNU/Linux system
License: Public Domain
Group: System/Base

Source0: %name-dir.list
Source1: %name-link.list
Source2: %name-dir64.list

PreReq: setup

Provides: /var/empty, /var/lock/serial
Provides: /media, /proc, /srv, /sys

%description
This package is one of the basic packages that is installed on a
%distribution system.  Filesystem contains the basic directory layout
for a FHS-compatible GNU/Linux operating system, including the correct
permissions for the directories.

%prep
%setup -qcT

%build
install -p -m644 %_sourcedir/%name-dir.list list
%ifarch x86_64 ppc64
cat %_sourcedir/%name-dir64.list >>list
%endif
echo '%%defattr(-,root,root,-)' >>list
cut -d' ' -f1 <%_sourcedir/%name-link.list >>list

%install
mkdir %buildroot
cd %buildroot

cat %_sourcedir/%name-dir.list |while read attr dir name extra; do
	mkdir ".$name"
done

%ifarch x86_64 ppc64
cat %_sourcedir/%name-dir64.list |while read attr dir name extra; do
	mkdir ".$name"
done
%endif

cat %_sourcedir/%name-link.list |while read source target; do
	%__ln_s "$target" ".$source"
done

%files -f list

%changelog
* Wed Jan 05 2005 Dmitry V. Levin <ldv@altlinux.org> 2.3.1-alt1
- Removed unused 64bit directories and symlinks:
  /lib64/modules, /usr/X11R6/lib64/X11, /usr/lib64/X11.
- Added more XDG directories:
  /etc/xdg, /etc/xdg/menus, /usr/share/applications,
  /usr/share/desktop-directories, /usr/share/mime (#5936).
- Made this package arch-specific.
- Package multilib-specific directories only for multilib
  architectures.

* Sat Oct 02 2004 Dmitry V. Levin <ldv@altlinux.org> 2.3.0-alt1
- Added directories:
  /media, /srv, /lib/tls,
  /lib/i686/tls, /usr/lib/tls, /usr/X11R6/lib/tls.
- Added 64bit directories and symlinks (#4880):
  /lib64, /lib64/modules, /usr/lib64, /usr/lib64/debug,
  /usr/lib64/games, /usr/local/lib64, /usr/X11R6/lib64,
  /usr/X11R6/lib64/X11, /usr/lib64/X11.
- Marked /mnt/* directories as %%ghost, to fix (#4826).
- Added %%ghost directories:
  /initrd, /media/{cdrom,floppy},
  /tmp/.{ICE-unix,X11-unix,esd}.

* Sun Jul 11 2004 Dmitry V. Levin <ldv@altlinux.org> 2.1.7-alt2
- Provides: /proc, /sys.

* Mon Jan 19 2004 Dmitry V. Levin <ldv@altlinux.org> 2.1.7-alt1
- Added directories:
  /sys

* Sun Oct 27 2002 Dmitry V. Levin <ldv@altlinux.org> 2.1.6-alt9
- Removed directories:
  /usr/local/src
  /usr/local/share/man/*
- Added directories:
  /usr/local/man

* Thu Jun 20 2002 Dmitry V. Levin <ldv@altlinux.org> 2.1.6-alt8
- Removed directories:
  /etc/pam.d (pam),
  /etc/profile.d. (setup).
- Added directories:
    /lib/i686, /usr/lib/debug.

* Fri May 24 2002 Dmitry V. Levin <ldv@altlinux.org> 2.1.6-alt7
- Repackaged.
- Changed permissions:
    /boot: 755 -> 700;
    /lib/modules: 755 -> 700;
    /root: 750 ->700.
- Added directories:
    /usr/libexec, /usr/X11R6/lib/X11.

* Mon Jan 28 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.1.6-alt6
- Dropped:
  + %_sysconfdir/chroot.d (chrooted);
  + %_sysconfdir/cron.d (vixie-cron);
  + %_sysconfdir/logrotate.d (chrooted);
  + %_sysconfdir/skel (etcskel);
  + %_sysconfdir/sudo.d (sudo);
  + %_sysconfdir/xinetd.d (xinetd);
  + %_libdir/gcc-lib (gcc-common).

* Sat Nov 17 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.1.6-alt5
- Added directories: /etc/{cron,logrotate,pam,profile}.d.
- Removed directories: /var/lib/rpm.

* Thu Nov 08 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.1.6-alt4
- Changed /var/spool/mail permissions to 3771.
- Added /var/empty provides.

* Mon Oct 22 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.1.6-alt3
- Added /var/lock/serial with %attr(770,root,uucp) permissions.
- Dropped uucp permissions from /var/lock.
- Removed /initrd.

* Sat Sep 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.1.6-alt2
- Sync with Owl:
  + Added:
    /var/empty (to be used instead of %_datadir/empty);
    /var/lock/uucp (to be used instead of current /var/lock).
  + Changed permissions:
    /var/spool/mail: 1775 -> 1771;
    /var/lock/subsys: 755 -> 700.

* Fri Sep 28 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.1.6-alt1
- 2.1.6: added /usr/X11R6/share, /var/yp, /usr/share/pixmaps,
  /etc/X11/*, /usr/local/*, /initrd
- Added: %_miconsdir, %_liconsdir, %_menudir, %_libdir/helper,
  %_datadir/sounds, %_docdir/HTML/en

* Sun Apr 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.0.7-ipl3mdk
- Fixed perms for /etc/sudo.d

* Sat Mar 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.0.7-ipl2mdk
- Added: /etc/sudo.d, /var/nobody, /usr/share/icons.

* Mon Dec 18 2000 Dmitry V. Levin <ldv@fandra.org> 2.0.7-ipl1mdk
- RE adaptions.
- Added %_sysconfdir/{chroot.d,sysconfig}.
- Really moved /usr/dict to /usr/share/dict.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-2mdk
- Move /usr/dict to /usr/share/dict (thnks: flepied).

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.6-1mdk
- merge in RH patches
- For FHS compliance, make the BM (Big Move) (hide children & women :-) ) :
 add /usr/share/{info,man,doc}, remove /usr/{doc,man,info}
- rename /etc/xinet.d to /etc/xinetd.d

* Fri Jul 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5-3mdk
- Add /etc/xinetd.d/

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5-2mdk
- Add /mnt/disk.
- Upgrade groups.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add /opt, /var/state, /var/cache for FHS lords.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- don't carry X11R6.1 as directory on sparc.
- /var/tmp/build root (#811)

* Wed Jan 13 1999 Preston Brown <pbrown@redhat.com>
- font directory didn't belong, which I previously misunderstood.  removed.

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- /usr/share/fonts/default added.

* Fri Oct  9 1998 Bill Nottingham <notting@redhat.com>
- put /mnt/cdrom back in

* Wed Oct  7 1998 Bill Nottingham <notting@redhat.com>
- Changed /root to 0750

* Wed Aug 05 1998 Erik Troan <ewt@redhat.com>
- added /var/db
- set attributes in the spec file; don't depend on the ones in the cpio
  archive
- use a tarball instead of a cpioball

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Wed Jul 09 1997 Erik Troan <ewt@redhat.com>
- added /

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Changed /proc to 555
- Removed /var/spool/mqueue (which is owned by sendmail)
